Bug 1914342 - "No datapoints found" for RHEL node's filesystem graph
Summary: "No datapoints found" for RHEL node's filesystem graph
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.z
Assignee: Seth Jennings
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On: 1909004
Blocks: 1915032
TreeView+ depends on / blocked
 
Reported: 2021-01-08 15:47 UTC by OpenShift BugZilla Robot
Modified: 2021-02-22 13:54 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-22 13:54:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7777 0 None closed [release-4.6] Bug 1914342: make filesystem queries compatible with both RHCOS and RHEL nodes 2021-02-12 14:42:12 UTC
Red Hat Product Errata RHBA-2021:0510 0 None None None 2021-02-22 13:54:47 UTC

Comment 7 Siva Reddy 2021-02-16 06:27:30 UTC
version:
4.6.0-0.nightly-2021-02-13-034601

1. Create 4.6 cluster and add RHEL worker nodes
2. Check filesystem usage query for RHCOS and RHEL worker node


Filesystem usage for RHEL node is also shown correctly
sum(node_filesystem_size_bytes{instance="xxx-rhel-0",mountpoint="/"} - node_filesystem_avail_bytes{instance="xxx-rhel-0",mountpoint="/"})

Also query sum(node_filesystem_size_bytes{instance="xxxx",mountpoint="/"} - node_filesystem_avail_bytes{instance="xxxx",mountpoint="/"}) is also applicable to RHCOS nodes

Comment 9 errata-xmlrpc 2021-02-22 13:54:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.18 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:0510


Note You need to log in before you can comment on or make changes to this bug.